Codevisor Docs
Api reference

PUT Workspaces Id

PUT/v1/workspaces/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

id?string|null
projectId*string
name*string
hasCustomName*boolean
rootDirectory?string|null
isArchived?boolean|null
createdAt?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/workspaces/string" \  -H "Content-Type: application/json" \  -d '{    "projectId": "string",    "name": "string",    "hasCustomName": true  }'
{  "id": "string",  "serverId": "string",  "projectId": "string",  "name": "string",  "hasCustomName": true,  "rootDirectory": "string",  "isArchived": true,  "archivedAt": "string",  "createdAt": "string",  "updatedAt": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}